Package org.apache.sling.cms.core.publication

## Class PublicationPropertyProvider

- java.lang.Object
- - org.apache.sling.cms.core.publication.PublicationPropertyProvider

All Implemented Interfaces:
  `org.apache.sling.discovery.PropertyProvider`

    public class PublicationPropertyProvider
    extends Object
    implements org.apache.sling.discovery.PropertyProvider

### Field Summary

Fields
`static String` `ENDPOINT_PATHS`
`static String` `INSTANCE_TYPE`

### Fields inherited from interface org.apache.sling.discovery.PropertyProvider

`PROPERTY_PROPERTIES`

### Constructor Summary

Constructors
`PublicationPropertyProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `activate​(PublicationPropertyProviderConfig config)`
`String` `getProperty​(String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ENDPOINT_PATHS

    public static final String ENDPOINT_PATHS

See Also:
  Constant Field Values

#### INSTANCE_TYPE

    public static final String INSTANCE_TYPE

See Also:
  Constant Field Values

### Constructor Detail

#### PublicationPropertyProvider

    public PublicationPropertyProvider()

### Method Detail

#### activate

    public void activate​(PublicationPropertyProviderConfig config)

#### getProperty

    public String getProperty​(String name)

Specified by:
  `getProperty` in interface `org.apache.sling.discovery.PropertyProvider`